Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JVMRuntimeMBean

All Known Subinterfaces:
  JRockitRuntimeMBean

public interface JVMRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Provides methods for retrieving information about the Java Virtual Machine (JVM) within with the current server instance is running. You cannot change the JVM's operating parameters while the JVM is active. Instead, use the startup options that are described in the JVM's documentation.

These methods can be used for any type of JVM that WebLogic Server supports.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getHeapFreeCurrent()` Returns the current amount of free memory (in bytes) in the JVM heap.
`long` | `getHeapSizeCurrent()` Returns the current size (in bytes) of the JVM heap.
`java.lang.String` | `getJavaVendor()` Returns the vendor of the JVM.
`java.lang.String` | `getJavaVersion()` Returns the Java version of the JVM.
`java.lang.String` | `getJavaVMVendor()` Returns the vendor of the VM.
`java.lang.String` | `getOSName()` Returns the operating system on which the JVM is running.
`java.lang.String` | `getOSVersion()` Returns the operating-system version on which the JVM is running.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getHeapFreeCurrent

    public long getHeapFreeCurrent()

  Returns the current amount of free memory (in bytes) in the JVM heap.

  Returns:
    The heapFreeCurrent value

### getHeapSizeCurrent

    public long getHeapSizeCurrent()

  Returns the current size (in bytes) of the JVM heap.

  Returns:
    The heapSizeCurrent value

### getJavaVersion

    public java.lang.String getJavaVersion()

  Returns the Java version of the JVM.

  Returns:
    The javaVersion value

### getJavaVendor

    public java.lang.String getJavaVendor()

  Returns the vendor of the JVM. system property java.vendor is returned

  Returns:
    The javaVendor value

### getJavaVMVendor

    public java.lang.String getJavaVMVendor()

  Returns the vendor of the VM. system property java.vm.vendor is returned

### getOSName

    public java.lang.String getOSName()

  Returns the operating system on which the JVM is running.

  Returns:
    The oSName value

### getOSVersion

    public java.lang.String getOSVersion()

  Returns the operating-system version on which the JVM is running.

  Returns:
    The oSVersion value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD